<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="java.util.*" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.system.*" %>
<%@ page import="net.sz600.formEngine.*" %>
<%@ page import="net.sz600.formEngine2.*" %>
<%@ page import="net.sz600.formCreate.*" %>
<%@ include file="/xml/formEngine2/sessionInfo2.jsp"%>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
</head>

<%
    BdAppend append = new BdAppend();
    Iterator iter = append.getMethodList();
    
		String cate_pro = SzConvert.strWriteData(request.getParameter("cate_pro") );
		String cate_fun = SzConvert.strWriteData(request.getParameter("cate_fun") );
	  String moduleName = SzConvert.toSpaceStr(request.getParameter("moduleName"));
		BdFormHelp formHelp = new BdFormHelp();
		BdModule bdModule = new BdModule();	  
		ArrayList moduleList = bdModule.getModuleList();    
%>
<!-----上面的工具栏------>
<%@ include file="/xml/formEngine2/title.jsp"%>
<table width="100%">
  <form name="formBar" method="post">
  <tr>
    <td>
    <%
    	out.println(SzPageHelp.addButton(isBarManager_SESSION));
    %>
    	<%
    	  if (moduleList.size() > 15) {
    	  	out.print("按行业分类：");
    		out.println(formHelp.professionSelectButton("cate_pro", cate_pro, "this.form.submit()"));
    		out.print("按功能分类：");	
    		out.println(formHelp.functionSelectButton("cate_fun", cate_fun, "this.form.submit()"));
    	  }
  	  	  out.print("请选择模块：");  		
  	      out.println(SzPageHelp.selectArrayFunc(moduleList, 0, 0,1,8,"moduleName", moduleName, "txtClass200","simpleform.xml", 5, cate_pro,6, cate_fun, "this.form.submit()"));
    	%>  
    </td>
  </tr>
  </form>
</table>

<!-----信息列表----->
<table width="100%" border="1" bordercolorlight="#C0C0C0" bordercolordark="#FFFFFF" class="tableClass" cellpadding="1" cellspacing="0">
  <form name="formList" method="post" >

  <tr class="trClassTitle">
    <td width="30">&nbsp;</td>
    <td>名称</td>  
    <td>说明</td>
    <td>类名</td>
    <td>方法名称</td>
    <td>所属模块</td>
    <td width="40">操作</td>
  </tr>
<%
    String id = ""; 
    String s[] = null;
    int i = 0;
    while (iter != null && iter.hasNext()) {
    	id = (String)iter.next();
    	s = (String[])append.getMethodInfo(new String(id));
    	if (s == null) {
    		continue;
    	}
   		if (!moduleName.equals("") && !moduleName.equals(s[4])) {
   			continue;
   		}    	
    	i++;
%>
  <tr onMouseOver="javascript:this.className='trMouseOver'" onMouseOut="javascript:this.className='trMouseOut'">
  	<td width="30" align="center"><%=i%></td>   
    <td><%=s[0]%>&nbsp;</td>
    <td><%=s[3]%>&nbsp;</td>
    <td><%=s[2]%>&nbsp;</td>    
    <td><%=s[1]%>&nbsp;</td>
    <td><%=s[4]%>&nbsp;</td>
    <td>
    <% if (isBarManager_SESSION) { %>
      <a href="update.jsp?OPERATOR=update&id=<%=id %>">修改</a>    
    	<a href="#" OnClick="DeleteWin('<%=id%>')">删除</a>
    <% } %>      
    </td>
  </tr>
<%
    }
    out.println(SzPageHelp.outIndexTableTr(i, SzProperties.I_PageSize, 7));
%>
  </form>
</table>

<!-----下面的工具栏------>
<table width="100%" cellpadding="1" cellspacing="0">
  <form name="formPage" method="post">
  <tr>
    <td align="right">
      &nbsp;
    </td>
  </tr>
  </form>
</table>

<!-----这里包含要提交的内容--->
<form name="formHidden" method="post">
</form>
<script language="javascript" src="../../../share/js/commonTool.js"></script>
<script language="javascript">
  function DeleteWin(id) {
    if (confirm("确定要删除？")) {
    	//弹出窗口
    	var url = "control.jsp?OPERATOR=delete&id=" + id;
  		formBar.action = url;
    	formBar.submit();    
    }          
  }
</script>
